Bug 1417405 - Review Request: prelude-lml
Summary: Review Request: prelude-lml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 19:11 UTC by Thomas Andrejak
Modified: 2017-02-22 14:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 14:49:19 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Thomas Andrejak 2017-01-28 19:11:53 UTC
This is the continuation of #1386938 . This ticket is for prelude-lml, the log management lackey of Prelude that transforms syslog to IDMEF alerts.

Description in spec :
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part of
the Prelude SIEM suite. It can act as a centralized log collector for local or
remote systems, or as a simple log analyzer (such as swatch). It can run as a
network server listening on a syslog port or analyze log files. It supports log
files in the BSD syslog format and is able to analyze any log file by using the
PCRE library. It can apply log file specific analysis through plugins such as
PAX. It can send an alert to the Prelude Manager when a suspicious log entry is
detected.

SPEC : https://fedorapeople.org/~totol/prelude-lml.spec
SRPM : https://fedorapeople.org/~totol/prelude-lml-3.1.0-1.fc26.src.rpm
Build : https://koji.fedoraproject.org/koji/taskinfo?taskID=17463254

About fedora review :
prelude-lml.x86_64: W: spelling-error %description -l en_US syslog -> slog
=> False positive
prelude-lml.x86_64: W: crypto-policy-non-compliance-gnutls-1 /usr/sbin/prelude-lml gnutls_priority_set_direct
=> Fixed with patch, false positive
prelude-lml.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/lib/systemd/system/prelude-lml.service
=> If I undestand guidelines, I have to do this with systemd
prelude-lml.x86_64: W: conffile-without-noreplace-flag /usr/lib/systemd/system/prelude-lml.service
=> idem
prelude-lml.x86_64: W: non-ghost-in-run /run/prelude-lml
=> Tempfiles guidelines
prelude-lml.x86_64: W: no-manual-page-for-binary prelude-lml
=> I hope, next prelude-lml release
prelude-lml-devel.x86_64: W: spelling-error %description -l en_US syslog -> slog
=> False positive
prelude-lml-devel.x86_64: W: no-documentation
=> prelude-lml-doc 
prelude-lml.src: W: spelling-error %description -l en_US syslog -> slog
=> False positive


Thanks for the review

Regards

Thomas

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-29 20:59:49 UTC
It'd drop stuff like %{__mkdir_p} → mkdir -p is just as good. It's not like anyone is ever going to rebuild this rpm on a system without a working mkdir. IMHO, doing stuff like that is just an obsolete legacy of configure scripts from 80's and 90's. (Same for chrpath, install.) In addition, it's ugly to use the macro in one place, and then write 'mkdir -p' a few lines down.

%config %{_unitdir}/%{name}.service → nope, that's not config. Just a normal file. If somebody needs to tweak it, they should place stuff in /etc/systemd.

Hm, on my 12-core system, test-lock runs and runs and runs (currently 21h+ of CPU time). I'll fire of another build on koji, let's see how that goes.

rpmlint:
prelude-lml.x86_64: W: crypto-policy-non-compliance-gnutls-1 /usr/sbin/prelude-lml gnutls_priority_set_direct

prelude-lml.x86_64: W: non-ghost-in-run /run/prelude-lml
Not sure about this one. I couldn't find anything in the guidelines, and a few packages I looked at do not use %ghost. I guess that if you want the directory to be available immediately after the package is installed, current version is reasonable. Seems OK as is.

Let's see if it builds in koji:
 https://koji.fedoraproject.org/koji/taskinfo?taskID=17483847

Comment 2 Thomas Andrejak 2017-01-29 22:25:11 UTC
Hello

Thanks for the review

SPEC : https://fedorapeople.org/~totol/prelude-lml.spec
SRPM : https://fedorapeople.org/~totol/prelude-lml-3.1.0-1.fc26.src.rpm

(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> It'd drop stuff like %{__mkdir_p} → mkdir -p is just as good. It's not like
> anyone is ever going to rebuild this rpm on a system without a working
> mkdir. IMHO, doing stuff like that is just an obsolete legacy of configure
> scripts from 80's and 90's. (Same for chrpath, install.) In addition, it's
> ugly to use the macro in one place, and then write 'mkdir -p' a few lines
> down.

Done

> 
> %config %{_unitdir}/%{name}.service → nope, that's not config. Just a normal
> file. If somebody needs to tweak it, they should place stuff in /etc/systemd.
> 

Done (I read it too fast ...)

> Hm, on my 12-core system, test-lock runs and runs and runs (currently 21h+
> of CPU time). I'll fire of another build on koji, let's see how that goes.

Yes I had this one time with koji. I don't know why and I can't reproduce it. Plus, I never see this happens on another system, just with koji. I have to cancel and then start the task again and it pass.

> 
> rpmlint:
> prelude-lml.x86_64: W: crypto-policy-non-compliance-gnutls-1
> /usr/sbin/prelude-lml gnutls_priority_set_direct

As I said in first message, false positive, I fixed it with a patch

> 
> prelude-lml.x86_64: W: non-ghost-in-run /run/prelude-lml
> Not sure about this one. I couldn't find anything in the guidelines, and a
> few packages I looked at do not use %ghost. I guess that if you want the
> directory to be available immediately after the package is installed,
> current version is reasonable. Seems OK as is.

Guidelines : https://fedoraproject.org/wiki/Packaging:Tmpfiles.d , see the spec example. I don't know which is the right way

> 
> Let's see if it builds in koji:
>  https://koji.fedoraproject.org/koji/taskinfo?taskID=17483847

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-01-30 00:00:10 UTC
+ package name is OK
+ license is acceptable (GPLv2+)
+ license is specified corretly
+ provides/requires/BRs look correct
+ scriptlets follow the guidelines
+ rpmlint output was discussed above and is OK

Package is APPROVED.

> Let's see if it builds in koji:
>  https://koji.fedoraproject.org/koji/taskinfo?taskID=17483847

This one's hanging in test_lock.

I also rebuilt the package a few times on my workstation, and it about 5 tries to hang. This time test_lock passed, but test_rwlock hung:

(I don't know if this relevant, but the machine has a few multithreaded java processes consuming ~5 cores. It's possible that this increases the likelihood.)

For some reason I'm not able to get a useful stack trace. gdb says:
warning: .dynamic section for "target:/lib64/librt.so.1" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "target:/lib64/libm.so.6" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "target:/lib64/ld-linux-x86-64.so.2" is not at the expected address (wrong library or version mismatch?)
Missing separate debuginfo for target:/lib64/librt.so.1
But the latest debuginfo packages are installed. There were new glibc packages built yesterday, maybe it's the fallout from that.

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-01-30 00:01:50 UTC
Hm, the process name seems to be test-lock, it's the test case test_rwlock (or something like that, I'm leaving the debugging to you ;))

Comment 5 Thomas Andrejak 2017-01-30 00:14:04 UTC
Thanks for these information !

Comment 6 Fedora Update System 2017-01-31 23:03:31 UTC
prelude-lml-3.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9e7bcbb6c

Comment 7 Fedora Update System 2017-01-31 23:06:06 UTC
prelude-lml-3.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f7c895b586

Comment 8 Fedora Update System 2017-02-01 22:47:57 UTC
prelude-lml-3.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f7c895b586

Comment 9 Fedora Update System 2017-02-01 23:51:04 UTC
prelude-lml-3.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9e7bcbb6c

Comment 10 Fedora Update System 2017-02-02 06:24:45 UTC
prelude-lml-3.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9f60edbb8

Comment 11 Fedora Update System 2017-02-02 23:19:00 UTC
prelude-lml-3.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9f60edbb8

Comment 12 Fedora Update System 2017-02-07 00:55:14 UTC
prelude-lml-3.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9f60edbb8

Comment 13 Fedora Update System 2017-02-07 00:56:34 UTC
prelude-lml-3.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f7c895b586

Comment 14 Fedora Update System 2017-02-07 00:57:04 UTC
prelude-lml-3.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9e7bcbb6c

Comment 15 Fedora Update System 2017-02-08 02:48:07 UTC
prelude-lml-3.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f7c895b586

Comment 16 Fedora Update System 2017-02-08 03:48:31 UTC
prelude-lml-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9f60edbb8

Comment 17 Fedora Update System 2017-02-09 09:19:48 UTC
prelude-lml-3.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9e7bcbb6c

Comment 18 Fedora Update System 2017-02-16 23:19:54 UTC
prelude-lml-3.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-02-17 16:20:49 UTC
prelude-lml-3.1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-02-22 14:49:19 UTC
prelude-lml-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.